SCCP Questions

Home » Asterisk Users » SCCP Questions
Asterisk Users 4 Comments

Hi List,

Has anyone been running SCCP with a larger number of phones? Im looking to
deploy like 75+ phones and I want to keep SCCP so I don’t have to upgrade
them and for the SLA, some phones also have no SIP software for them so im
forced to keep SCCP. Does anyone have any experience with this? From what
ive read the SCCP support works and works well, im just worried about
trying to run this many phones and if im missing any sort of issues that
could come up.

Thanks!

4 thoughts on - SCCP Questions

  • My experience goes back a couple of years with (iirc) an early version
    of Asterisk 1.4 and a bunch of Cisco 7941/7961 and entry-level Cisco
    phones. I can’t recommend Cisco (having to pay for firmware with
    bugfixes?!). There were many problems with the SCCP channel driver and
    with Cisco’s SIP firmware. In the end the customer just bought a Cisco
    PBX which is working fine to this day .

    Admittedly this was a while back and maybe the various SCCP channel
    drivers out there have improved and maybe Cisco has improved (and hell
    is a bounty island). But I guess you (your customer) will have to find
    that out for yourself.

    Good luck!

    Regards,
    Patrick

  • Greetings Ron-

    Just wanted to give you a heads up about an alternative SCCP channel driver available for Asterisk. Please see here:

    http://freecode.com/projects/chan-sccp-b

    I have no experience with it (nor SCCP in general) but just wanted to give you an option in the event the included SCCP driver does not give you satisfactory results.

  • Hello,

    Thanks you for the replies ill take a look at the driver you sent over. Im
    going to run some test and see what happens, hopefully the driver in 1.8 is
    soild and nothing needs to be messed with, but we will see 🙂

  • Is the chan-sccp-b project the same one that got put in SVN of 1.8 branch?
    I have not been able to find anything definitive that says so, I really
    need 1.8 branch so trying to see which is the best way to go.

    Thanks